> For the complete documentation index, see [llms.txt](https://docs.stackerhq.com/stacker-classic/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stackerhq.com/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-google-drive-videos.md).

# Embedding Google Drive videos

## Get embed link from Google Drive

1. Open Video
2. Change privacy to **Anyone with link can view**
3. Click **Copy link**
4. Open link in new tab
5. Select the **three dots** on top right
6. Select **Embed Item…**
7. Copy the src URL link without the frame

![new](https://support.stackerhq.com/hc/article_attachments/17719096331411) ![embed](https://support.stackerhq.com/hc/article_attachments/17719121107987) ![embed](https://support.stackerhq.com/hc/article_attachments/17719121111955)

## How to use the embed link

Once you have the embed URL, there are two ways you can use this in your layout, either by adding this into a field on your datasource or pasting this directly into the [embed widget](https://support.stackerhq.com/hc/en-us/articles/5542120522515-Detail-Embed-Widget).

1. Click in [detail layout](/stacker-classic/layout-types/detail-layout.md)
2. Click **Edit Layout**
3. Drag embed widget into the layout
4. Select [from field](/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-content-on-a-detail-page.md#h_01ga3zt5fmfb0m4dret7jeae4m) (if the embed URL has been added to the base)
5. Select [from URL](/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-content-on-a-detail-page.md#h_01ga3ztf8dh1g6xbg9a89zpe6k) (if you want to paste the URL directly into Stacker)
6. Choose a title
7. Choose the height of the embed


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stackerhq.com/stacker-classic/layout-types/detail-layout/detail-widgets/detail-embed-widget/embedding-google-drive-videos.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
